org.springframework.cache.jcache.interceptor

## Class JCacheOperationSourcePointcut

- java.lang.Object
- - org.springframework.aop.support.StaticMethodMatcher
  - - org.springframework.aop.support.StaticMethodMatcherPointcut
    - - org.springframework.cache.jcache.interceptor.JCacheOperationSourcePointcut

- All Implemented Interfaces:
    Serializable, MethodMatcher, Pointcut

      public abstract class JCacheOperationSourcePointcut
      extends StaticMethodMatcherPointcut
      implements Serializable

  A Pointcut that matches if the underlying `JCacheOperationSource` has an operation for a given method.
  Since:
    4.1
  Author:
    Stephane Nicoll
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from interface org.springframework.aop.Pointcut

      `TRUE`

    - ### Fields inherited from interface org.springframework.aop.MethodMatcher

      `TRUE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `JCacheOperationSourcePointcut()`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object other)`
    `protected abstract JCacheOperationSource` | `getCacheOperationSource()` Obtain the underlying `JCacheOperationSource` (may be `null`).
    `int` | `hashCode()`
    `boolean` | `matches(Method method, Class<?> targetClass)` Perform static checking whether the given method matches.
    `String` | `toString()`

    - ### Methods inherited from class org.springframework.aop.support.StaticMethodMatcherPointcut

      `getClassFilter, getMethodMatcher, setClassFilter`

    - ### Methods inherited from class org.springframework.aop.support.StaticMethodMatcher

      `isRuntime, matches`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### JCacheOperationSourcePointcut

          public JCacheOperationSourcePointcut()

  - ### Method Detail

    - #### matches

          public boolean matches(Method method,
                                 Class<?> targetClass)

      Description copied from interface: `MethodMatcher`
      Perform static checking whether the given method matches.

      If this returns `false` or if the `MethodMatcher.isRuntime()` method returns `false`, no runtime check (i.e. no `MethodMatcher.matches(java.lang.reflect.Method, Class, Object[])` call) will be made.

      Specified by:
        `matches` in interface `MethodMatcher`
      Parameters:
        `method` - the candidate method
        `targetClass` - the target class
      Returns:
        whether this method matches statically

    - #### getCacheOperationSource

          @Nullable
          protected abstract JCacheOperationSource getCacheOperationSource()

      Obtain the underlying `JCacheOperationSource` (may be `null`). To be implemented by subclasses.

    - #### equals

          public boolean equals(@Nullable
                                Object other)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`